editors/lyx - The NetBSD Packages Collection

Document processor and graphical frontend for LaTeX

LyX is a wordprocessor frontend to LaTeX, which gives both the
ease-of-use of a wordprocessor, and the flexibility and power of
LaTeX.

Quasi-WYSIWYG interface, many LaTeX styles and layouts automatically
generated. Speeds up learning LaTeX and makes complicated layouts
easy and intuitive. Features include spell-checking, international
character support, WYSIWYG graphics, tables, and equations.

This version of LyX uses the Qt toolkit for the graphical interface.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto devel/boost-headers pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

textproc/makeindexk print/tex-accents fonts/tex-ae fonts/tex-amsfonts print/tex-amsmath print/tex-babel fonts/tex-bera print/tex-bibtex print/tex-bibtopic fonts/tex-eco fonts/tex-esint print/tex-fancyhdr fonts/tex-fourier print/tex-geometry print/tex-graphics print/tex-hyperref print/tex-jurabib print/tex-lastpage print/tex-latex print/tex-latex-bin print/tex-listings fonts/tex-lm print/tex-mhchem print/tex-natbib print/tex-nomencl print/tex-oberdiek print/tex-pdftex fonts/tex-psnfss graphics/tex-pst-node graphics/tex-pstricks print/tex-setspace print/tex-skak print/tex-subfig print/tex-tools print/tex-ulem fonts/tex-wasysym print/tex-xargs print/tex-xcolor graphics/tex-xypic lang/perl5 lang/python27 textproc/aspell x11/qt5-qtbase x11/qt5-qtsvg x11/qt5-qtx11extras textproc/mythes devel/boost-libs sysutils/desktop-file-utils graphics/hicolor-icon-theme lang/python27 textproc/aspell x11/qt5-qtbase x11/qt5-qtsvg x11/qt5-qtx11extras sysutils/desktop-file-utils graphics/hicolor-icon-theme

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflyx-2.3.6.1.tgz
NetBSD 8.0earmv7hflyx-2.3.5.2nb5.tgz
NetBSD 8.0earmv7hflyx-2.3.5.2nb8.tgz
NetBSD 8.0i386lyx-2.3.5.2nb5.tgz
NetBSD 8.0i386lyx-2.3.5.2nb8.tgz
NetBSD 8.0powerpclyx-2.3.5.2nb5.tgz
NetBSD 8.0powerpclyx-2.3.5.2nb8.tgz
NetBSD 8.0powerpclyx-2.3.5.2nb8.tgz
NetBSD 8.0powerpclyx-2.3.6.1.tgz
NetBSD 8.0x86_64lyx-2.3.5.2nb5.tgz
NetBSD 8.0x86_64lyx-2.3.5.2nb8.tgz
NetBSD 9.0aarch64lyx-2.3.6.1.tgz
NetBSD 9.0aarch64lyx-2.3.5.2nb5.tgz
NetBSD 9.0aarch64lyx-2.3.5.2nb8.tgz
NetBSD 9.0earmv6hflyx-2.3.6.1.tgz
NetBSD 9.0earmv6hflyx-2.3.5.2nb5.tgz
NetBSD 9.0earmv6hflyx-2.3.5.2nb8.tgz
NetBSD 9.0earmv7hflyx-2.3.6.1.tgz
NetBSD 9.0earmv7hflyx-2.3.5.2nb5.tgz
NetBSD 9.0earmv7hflyx-2.3.5.2nb8.tgz
NetBSD 9.0i386lyx-2.3.5.2nb5.tgz
NetBSD 9.0i386lyx-2.3.5.2nb8.tgz
NetBSD 9.0i386lyx-2.3.6.1.tgz
NetBSD 9.0mips64eblyx-2.3.5.2nb8.tgz
NetBSD 9.0powerpclyx-2.3.5.2nb8.tgz
NetBSD 9.0powerpclyx-2.3.5.2nb5.tgz
NetBSD 9.0powerpclyx-2.3.5.2nb8.tgz
NetBSD 9.0powerpclyx-2.3.6.1.tgz
NetBSD 9.0sparc64lyx-2.3.5.2nb5.tgz
NetBSD 9.0sparc64lyx-2.3.6.1.tgz
NetBSD 9.0x86_64lyx-2.3.5.2nb8.tgz
NetBSD 9.0x86_64lyx-2.3.6.1.tgz
NetBSD 9.0x86_64lyx-2.3.5.2nb5.tgz
NetBSD 9.0x86_64lyx-2.3.5.2nb8.tgz
NetBSD 9.0x86_64lyx-2.3.6.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.